## Shiny Text
This package aims to be a one stop all package for all text processing tasks.
The package was developed using Python3.10.

### 💻 Installation
```python
pip install -U shinytext
```

### 🤘 Usage
```python
from shinytext.clean_func import check_spellings

```

### ✍ Contribution Guidelines
Please ensure that you adhere to the following guidelines while making a pull request.

1. Fork the project on to your repo. Create a branch under your name and create PR from your branch.

2. USE proper commit messages and give detailed descriptions for your commit including the file name, function name and the changes made.

Customize your commit titles according to below given instructions  

    * "ADD: <your task title>" for new additions  
    * "MOD: <your task title>" for modifications 
    * "DEL: <your task title>" for deletions
    * "FIX: <your task title>" for fixing bugs

3. Ensure that your code adheres to PEP-8 guidelines. [Click here](https://peps.python.org/pep-0008/) to know more about it.

### 💼 Current Requirements
1. More text processing techniques

2. Test cases for existing functions

### 🙌 Contributors
1. [Retin P Kumar](https://github.com/Retinpkumar)

### ❤ Credits
1. [Emot library](https://github.com/NeelShah18/emot) by [Neel Shah](https://github.com/NeelShah18)
2. [Getting started with Text Preprocessing](https://www.kaggle.com/code/sudalairajkumar/getting-started-with-text-preprocessing/notebook) by [Sudalai Rajkumar](https://www.kaggle.com/sudalairajkumar)
3. 